@import 'settings';
@import 'typography';
@import 'mixins';

.HomeWhatWeDo {
    position: relative;
    height: 100vh;
    overflow: hidden;
    color: $white;

    &__background {
        position: fixed;
        top: 0;
        right: 0;
        height: 100%;
        width: 100%;
        background-color: $blue;
        // background-image: url('/s/assets/img/partnergrid.png');
        // background-size: contain;
        // background-position: center;
        // background-repeat: repeat;
        // background-attachment: fixed;

        opacity: 0;
        transition: opacity 400ms 150ms;
        will-change: opacity;

        &::before {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: transparentize($black, 0.8);
        }
    }

    &.isActive &__background {
        opacity: 1;
    }

    &__content {
        position: relative;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;

        a {
            display: flex;
            align-items: center;
            padding: 60px;
            color: $white;
        }

        h2 {
            text-align: center;
        }
    }
}
